#!/usr/bin/python

from swiginac import *
from SyFi import *

initSyFi(2)

t = ReferenceLine()
triangle = ReferenceTriangle()
fe = Lagrange(triangle, 2)
space_time_domain = SpaceTimeDomain(t, triangle)

space_time_fe = SpaceTimeElement(t, 3, fe)
nbf = space_time_fe.nbf()
for i in range(nbf):
    print "fe.N(%d)= %s" % (i, space_time_fe.N(i))
    print "fe.dof(%d)= %s" % (i, space_time_fe.dof(i))

for i in range(nbf):
    for j in range(nbf):
        integrand = space_time_fe.N(i) * space_time_fe.N(j)
        Aij = space_time_domain.integrate(integrand)
        print "A[%d, %d] = %s" % (i, j, Aij)
