#!/usr/bin/python

from swiginac import *
from SyFi import *

initSyFi(2)

p0 = [0,0]; p1 = [1,0]; p2 = [0,1]

triangle = Triangle(p0, p1, p2)

fe = Lagrange()
fe.set_order(4)
fe.set_polygon(triangle)
fe.compute_basis_functions()
print fe.nbf()
for i in range(fe.nbf()):
    print "N(%d)       = %s" % (i, fe.N(i).eval())
    print "grad(N(%d)) = %s" % (i, grad(fe.N(i)))
    print "dof(%d)     = %s" % (i, fe.dof(i))

