#!/usr/bin/python
from swiginac import *
from SyFi import *

p0 = [0,0,0]; p1 = [1,0,0]; p2 = [0,1,0]
triangle = Triangle(p0, p1, p2)
fe = Lagrange(triangle,4)

print fe.nbf()
for i in range(fe.nbf()):
    for j in range(fe.nbf()):
        integrand = inner(grad(fe.N(i)),grad(fe.N(j)))
        Aij = triangle.integrate(integrand)
        print "A(%d,%d) = %s" % (i, j, Aij.eval())
